using IWS5.DatabaseAccess.IwsDataModels;

namespace IWS5.DatabaseAccess.Interfaces;

public interface IUserPropertyRepository: IIWSRepository<AtuserProperty>
{
    public Task<bool> AddOrUpdateRefreshTokenData(string userName, string refreshToken, DateTime refreshTokenExpiry);
    public Task<bool> RemoveRefreshTokenData(string userName);

}